Bug 1001918 - Remove version-number references from testsuite XSL files
Remove version-number references from testsuite XSL files
Status: VERIFIED
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Testsuite (Show other bugs)
6.2.0,6.2.1,6.3.0,6.2.2,6.2.3,6.2.4
Unspecified Unspecified
unspecified Severity low
: DR1
: EAP 6.4.0
Assigned To: jboss-set
Petr Kremensky
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-28 02:41 EDT by Joe Wertz
Modified: 2016-01-04 02:43 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joe Wertz 2013-08-28 02:41:29 EDT
Version numbers used in testsuite configuration files requires frequent manual changes. 

This recently disabled the -Dtrace= command because logging was upgraded. https://bugzilla.redhat.com/show_bug.cgi?id=978130

Using a different method to match XML tags in the XSL files makes them version-independent and reduces maintenance on the testsuite.
Comment 3 Pavel Jelinek 2013-10-07 07:52:58 EDT
Performed changes are ok, but there are still some XSL files with version numbers in jboss-eap-6.2-src/testsuite/integration/src/test/xslt directory: 

addCacheContainer.xsl
changeDatabase.xsl
enableJmxNonCoreMbeansSensitivity.xsl
enableRbac.xsl
passwdMaskConfig.xsl
putVaultExpressionIntoOrdinaryAttribute.xsl
setupRbacRolesMappingTests.xsl
Comment 6 Joe Wertz 2014-08-28 06:27:47 EDT
Updating for 6.4.0.

There are a few xsl files that are not used anymore and some RBAC files that are new. I'll make a list of unused files and update the RBAC files by next week.
Comment 7 Joe Wertz 2014-09-04 05:25:26 EDT
After reviewing, I believe there are three files that aren't currently being used.

addCacheContainer.xsl - This contains and old version of infinispan, 1.3 instead of the current 1.5, and because of that version mismatch has been broken for some time. As it seems to cause no errors I'm leaving it disabled.

changeDatabase.xsl - Same as the addCacheContainer, this has an old version of datasources, 1.1 instead of 1.2. Also can't find where/how this is used in tests.

changeModule.xsl, and corresponding module.xml - Contains an old module version and according to comments seems to be associated with changeDatabase. Can't find where/how it's used either.

The other files are changed in the PR.

https://github.com/jbossas/jboss-eap/pull/1647

Note You need to log in before you can comment on or make changes to this bug.